### Constructor

# Foundry FileMonitorEvent new

#### Declaration [src]

    FoundryFileMonitorEvent*
    foundry_file_monitor_event_new (
      GFile* file,
      GFile* other_file,
      GFileMonitorEvent event
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`other_file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`event`

  Type: `GFileMonitorEvent`

  No description available.

#### Return value

Type: `FoundryFileMonitorEvent`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.